from collections import OrderedDict

from djangotools.models import UserPreferenceManager
from djangotools.views import ContextData


default_value = {
    "ui" : {
        "theme" : "dark"
    },
    "regle" : {
        "min_period" : 10,
        "max_period" : 45,
        "average_period_window" : 12,
        "method" : "contraception"
    }
}

class UserPrefences(UserPreferenceManager):

    preferences = {
        "main" : default_value
    }

    def save(self, main):
        return self.set("main", main)

    @property
    def regle_min_period(self):
        return self.get("main")["regle"]["min_period"]


    @property
    def regle_max_period(self):
        return self.get("main")["regle"]["max_period"]


    @property
    def regle_average_period_window(self):
        return self.get("main")["regle"]["average_period_window"]

    @property
    def regle_method(self):
        return self.get("main", )["regle"]["method"]


    @property
    def ui_theme(self):
        return self.get("main").value["ui"]["theme"]


class BaseContextData(ContextData):
    preferences_class = UserPrefences
    context_to_string = False
    redirect_login = True
