import datetime

from djangotools.common.types import date_to_string

from baby.app.common.calendar import MonthCalendar
from baby.app.context.base import BaseContextData, UserPrefences


class ContextData(BaseContextData):
    page = "calendar"


    def get_context_data(self, request, action_params, **kwargs):
        user = request.user
        today = datetime.date.today()
        date = date_to_string(today)
        if "date" in getattr(request, "GET", {}):
            date = request.GET["date"]
        elif "date" in getattr(request, "POST", {}):
            date = request.POST["date"]

        if "month" in getattr(request, "GET", {}) and "year" in getattr(request, "GET", {}):
            date = request.GET["month"].zfill(2)+"/"+request.GET["year"]
        if "month" in getattr(request, "POST", {}) and "year" in getattr(request, "POST", {}):
            date = request.POST["month"].zfill(2)+"/"+request.POST["year"]

        if len(date.split("/")) == 2:
            date = "01/"+date

        cal = MonthCalendar(user, date)
        cal = cal.json
        cal["title"] = f"Calendrier"

        return cal

