import datetime

from baby.app.context.base import UserPrefences, BaseContextData
from baby.app.models.const import get_average_month
from baby.app.models.regle import Cycle, Regle


class ContextData(BaseContextData):
    page = "stats"


    def get_context_data(self, request, action_params, **kwargs):
        today = datetime.date.today()
        user = request.user
        period = request.GET.get("period", request.POST.get("period", "custom"))

        period = {
            "custom" : get_average_month(user),
            "6" : 6,
            "12" : 12,
            "all" : 12*1000
        }[period]

        kwargs = {
            "date__gte": datetime.date.today() - datetime.timedelta(days=12*30)
        }
        regles = Regle.objects.filter(user=user, **kwargs)
        periods = Regle.objects.rgeles_to_period(regles)
        cycle = Cycle.from_day(user, today, period)
        if cycle is not None:
            data =  cycle.json
            data["offset"] = (today - cycle.start).days# faire un plus 1
            data["value"] = True
            data["average"] = sum(periods) / len(periods) if periods else None
            data["min"] = min(periods) if periods else None
            data["max"] = max(periods) if periods else None
        else:
            data = {"value": False}
        data["title"] = "Menu principal"

        return data
