"""
Django settings for baby project.

Generated by 'django-admin startproject' using Django 4.2.5.

For more information on this file, see
https://docs.djangoproject.com/en/4.2/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/4.2/ref/settings/
"""

from pathlib import Path

from django.core.management.utils import get_random_secret_key
from djangotools.config import load_settings

# Build paths inside the project like this: BASE_DIR / 'subdir'.
BASE_DIR = Path(__file__).resolve().parent.parent


DEBUG = True



# Application definition
INSTALLED_APPS = [
    'django.contrib.admin',
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django.contrib.sessions',
    'django.contrib.messages',
    'django.contrib.staticfiles',
    "baby.app",
    "djangotools"
]

MIDDLEWARE = [
    'django.middleware.security.SecurityMiddleware',
    'django.contrib.sessions.middleware.SessionMiddleware',
    'django.middleware.common.CommonMiddleware',
    'corsheaders.middleware.CorsMiddleware',
    'django.contrib.auth.middleware.AuthenticationMiddleware',
    'django.contrib.messages.middleware.MessageMiddleware',
    'django.middleware.clickjacking.XFrameOptionsMiddleware',
]



WSGI_APPLICATION = 'baby.wsgi.application'



# djangotools
COMMANDS_MODULES=["djangotools.cmdline.commands", "baby.scripts.commands"]
CONTEXT_MODULES=["baby.app.context"]
VIEWS_MODULES=["djangotools.views", "baby.app.views"]
ALLOW_AUTO_LOGIN=False
LOGIN_URL="login"
LOGOUT_URL="disconnect"
AUTH_URL="auth"
CONTEXT_URL="context/<str:name>"
LOGIN_TEMPLATE="login.html"
LOGIN_CONTEXT="login"
app_dir = BASE_DIR.parent.parent / "data"
STATICFILES_DIRS = ["frontend/static"]
TEMPLATES_DIR = ["frontend/templates"]
ROOT_TEMPLATE="index.html"
BASE_URL=""
CONFIG = load_settings(globals())